[android-components](../../../index.md) / [mozilla.components.feature.p2p](../../index.md) / [P2PFeature](../index.md) / [P2PFeatureSender](./index.md)

# P2PFeatureSender

`inner class P2PFeatureSender` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/p2p/src/main/java/mozilla/components/feature/p2p/P2PFeature.kt#L144)

A class able to request an encoding of the current web page.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `P2PFeatureSender()`<br>A class able to request an encoding of the current web page. |

### Functions

| Name | Summary |
|---|---|
| [requestHtml](request-html.md) | `fun requestHtml(): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>Requests an encoding of the current web page suitable for sending to another device. |
